
Name:           python-fpdf
Version:        1.7.2
Release:        1%{?dist}
Summary:        Simple pdf generator
BuildArch:      noarch

# The main code is licensed MIT.
# The docs include jquery which is licensed MIT or GPLv2
License:        GPLv3
URL:            https://github.com/reingart/pyfpdf
Source0:        https://github.com/reingart/pyfpdf/archive/refs/tags/%{version}.tar.gz#/pyfpdf-%{version}.tar.gz

%description
PyFPDF is a library for PDF document generation under Python, ported from PHP
(see FPDF: "Free"-PDF, a well-known PDFlib-extension replacement with many
examples, scripts and derivatives).

%package -n python%{python3_pkgversion}-fpdf
Summary:    Simple pdf generator
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-fpdf}

%description -n python%{python3_pkgversion}-fpdf
PyFPDF is a library for PDF document generation under Python, ported from PHP
(see FPDF: "Free"-PDF, a well-known PDFlib-extension replacement with many
examples, scripts and derivatives).

%prep
%setup -q -n pyfpdf-%{version}

%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-fpdf
%license LICENSE
%{python3_sitelib}/fpdf/
%{python3_sitelib}/*.egg-info

%changelog
* Wed Oct 06 2021 Matej Mužila <mmuzila@gmail.com> - 1.7.2-0
- Initial release
